/*
 * $Id$
 */

package npanday.model.compiler.plugins;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class ExecutablePluginsModel implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field executablePlugins
     */
    private java.util.List executablePlugins;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addExecutablePlugin
     * 
     * @param executablePlugin
     */
    public void addExecutablePlugin(ExecutablePlugin executablePlugin)
    {
        if ( !(executablePlugin instanceof ExecutablePlugin) )
        {
            throw new ClassCastException( "ExecutablePluginsModel.addExecutablePlugins(executablePlugin) parameter must be instanceof " + ExecutablePlugin.class.getName() );
        }
        getExecutablePlugins().add( executablePlugin );
    } //-- void addExecutablePlugin(ExecutablePlugin) 

    /**
     * Method getExecutablePlugins
     */
    public java.util.List getExecutablePlugins()
    {
        if ( this.executablePlugins == null )
        {
            this.executablePlugins = new java.util.ArrayList();
        }
        
        return this.executablePlugins;
    } //-- java.util.List getExecutablePlugins() 

    /**
     * Method removeExecutablePlugin
     * 
     * @param executablePlugin
     */
    public void removeExecutablePlugin(ExecutablePlugin executablePlugin)
    {
        if ( !(executablePlugin instanceof ExecutablePlugin) )
        {
            throw new ClassCastException( "ExecutablePluginsModel.removeExecutablePlugins(executablePlugin) parameter must be instanceof " + ExecutablePlugin.class.getName() );
        }
        getExecutablePlugins().remove( executablePlugin );
    } //-- void removeExecutablePlugin(ExecutablePlugin) 

    /**
     * Set Plugin configurations.
     * 
     * @param executablePlugins
     */
    public void setExecutablePlugins(java.util.List executablePlugins)
    {
        this.executablePlugins = executablePlugins;
    } //-- void setExecutablePlugins(java.util.List) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }}
